package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.DealStatusEnum;
import com.ym.mec.biz.dal.enums.PlatformCashAccountDetailTypeEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author : chengp
 * @version V1.0
 * @Description: TODO
 * @date Date : 2019年09月24日 10:07
 */
public class StudentCashDetailQueryInfo extends QueryInfo {

    /** 用户编号 */
    @ApiModelProperty(value = "用户编号",required = false)
    private Integer userId;

    /** 交易流水号 */
    @ApiModelProperty(value = "交易流水号",required = false)
    private String transNo;

    /** 交易类型 (RECHARGE 充值,WITHDRAW 提现,PAY_FEE 缴费,REFUNDS 退费,FILL_ACCOUNT 人工补账) */
    @ApiModelProperty(value = "交易类型",required = false)
    private PlatformCashAccountDetailTypeEnum type;

    /** 交易状态(1,交易中;2,成功交易;-1,交易失败;) */
    @ApiModelProperty(value = "交易状态",required = false)
    private DealStatusEnum status;

    /** 交易金额 */
    @ApiModelProperty(value = "交易金额",required = false)
    private BigDecimal amount;

    /** 账户可用余额 */
    @ApiModelProperty(value = "账户可用余额",required = false)
    private BigDecimal balance;

    /** 描述 */
    @ApiModelProperty(value = "描述",required = false)
    private String description;

    /** 后台备注 */
    @ApiModelProperty(value = "后台备注",required = false)
    private String comment;

    /** 创建时间 */
    private java.util.Date createTime;

    /** 修改时间 */
    private java.util.Date updateTime;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getTransNo() {
        return transNo;
    }

    public void setTransNo(String transNo) {
        this.transNo = transNo;
    }

    public PlatformCashAccountDetailTypeEnum getType() {
        return type;
    }

    public void setType(PlatformCashAccountDetailTypeEnum type) {
        this.type = type;
    }

    public DealStatusEnum getStatus() {
        return status;
    }

    public void setStatus(DealStatusEnum status) {
        this.status = status;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public BigDecimal getBalance() {
        return balance;
    }

    public void setBalance(BigDecimal balance) {
        this.balance = balance;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
